RegionAttributesType.SubscriptionAttributes (Apache Geode 1.15.4)

org.apache.geode.cache.configuration

## Class RegionAttributesType.SubscriptionAttributes

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionAttributesType.SubscriptionAttributes

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    RegionAttributesType

      public static class RegionAttributesType.SubscriptionAttributes
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="interest-policy">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="all"/>
                   <enumeration value="cache-content"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `interestPolicy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriptionAttributes()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getInterestPolicy()` Gets the value of the interestPolicy property.
    `void` | `setInterestPolicy(String value)` Sets the value of the interestPolicy property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### interestPolicy

          protected String interestPolicy

  - ### Constructor Detail

    - #### SubscriptionAttributes

          public SubscriptionAttributes()

  - ### Method Detail

    - #### getInterestPolicy

          public String getInterestPolicy()

      Gets the value of the interestPolicy property. possible object is `String`
      Returns:
        the value of the interestPolicy property

    - #### setInterestPolicy

          public void setInterestPolicy(String value)

      Sets the value of the interestPolicy property. allowed object is `String`
      Parameters:
        `value` - the value of the interestPolicy property